org.bouncycastle.util.test

## Class TestFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.bouncycastle.util.test.TestFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class TestFailedException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TestFailedException(TestResult result)`

### Method Summary

Methods
`TestResult` `getResult()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestFailedException

    public TestFailedException(TestResult result)

### Method Detail

#### getResult

    public TestResult getResult()